Name:           balloontip
Version:        1.2.4.1
Release:        9%{?dist}
Summary:        Balloon tip component for Java Swing applications

License:        BSD
URL:            https://github.com/timmolderez/balloontip
Source0:        https://github.com/timmolderez/balloontip/archive/%{name}-parent-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

%description
Balloontip is a Java Swing component that provides balloon tips.

%package parent
Summary:        Balloontip parent POM
Requires:       %{name} = %{version}-%{release}

%description parent
Parent POM file for balloontip.

%package examples
Summary:        Example code showing balloontip usage
Requires:       %{name} = %{version}-%{release}

%description examples
Example code showing balloontip usage.

%package javadoc
Summary:        Javadoc documentation for balloontip

%description javadoc
Javadoc documentation for balloontip

%prep
%setup -q -n %{name}-%{name}-parent-%{version}

# Fix end of line encodings
sed -i.orig 's/\r//' distribution/README.txt
touch -r distribution/README.txt.orig distribution/README.txt
rm distribution/README.txt.orig

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-balloontip
%doc distribution/README.txt
%license distribution/LICENSE.txt
%dir %{_javadir}/%{name}

%files parent -f .mfiles-balloontip-parent

%files examples -f .mfiles-balloontip-examples

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 10 2016 Jerry James <loganjerry@gmail.com> - 1.2.4.1-7
- Update URLs
- Various build changes for new packaging layout

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 Jerry James <loganjerry@gmail.com> - 1.2.4.1-4
- Use license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Jerry James <loganjerry@gmail.com> - 1.2.4.1-2
- Drop unneeded dependencies
- Fix end of line encodings

* Mon Apr 14 2014 Jerry James <loganjerry@gmail.com> - 1.2.4.1-1
- Initial RPM
